DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Classes | Macros | Enumerations | Functions
ofcond.h File Reference

Error handling, codes and strings for all modules. More...

## Classes
struct | OFConditionConst
| A constant data structure which can be used for an OFCondition. More...
class | OFCondition
| General purpose class for condition codes. More...

## Macros
#define | makeOFConditionConst(name, module, code, status, text) const OFConditionConst name = { (module), (code), (status), (text) }
| use this macro for creating static OFCondition instances. More...
#define | makeOFCondition(A, B, C, D) OFCondition((A), (B), (C), (D))
| this macro is a shortcut for creating user-specific error messages.

## Enumerations
enum | OFStatus { OF_ok , OF_error , OF_failure }
| this enumeration describes the return status of an operation. More...

## Functions
OFBool | operator== (const OFConditionConst &lhs, const OFCondition &rhs)
| returns true if lhs refers to the same OFCondition as rhs More...
OFBool | operator== (const OFCondition &lhs, const OFConditionConst &rhs)
| returns true if lhs refers to the same OFCondition as rhs More...
OFBool | operator!= (const OFConditionConst &lhs, const OFCondition &rhs)
| returns true if lhs refers to a different OFCondition as rhs More...
OFBool | operator!= (const OFCondition &lhs, const OFConditionConst &rhs)
| returns true if lhs refers to a different OFCondition as rhs More...

## Variables
global condition constants.
All constants defined here use module number 0, which is reserved for global definitions. Other constants are defined in other modules.
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_Normal
| condition constant: successful completion
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_IllegalParameter
| condition constant: error, function called with illegal parameters
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_MemoryExhausted
| condition constant: failure, memory exhausted
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_NoEncodingLibrary
| condition constant: error, no character encoding library available
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_NoEncodingSelected
| condition constant: error, no character encoding selected
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_CouldNotCreateTemporaryFile
| condition constant: error, could not create temporary file
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_InvalidFilename
| condition constant: error, invalid filename
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_CouldNotGenerateFilename
| condition constant: error, could not generate filename
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_DirectoryDoesNotExist
| condition constant: error, directory does not exist
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_DirectoryNotWritable
| condition constant: error, directory is not writable
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_CouldNotGenerateDirectoryName
| condition constant: error, could not generate directory name
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_setuidFailed
| condition constant: error, call to setuid() failed
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_NotYetImplemented
| condition constant: error, function not yet implemented
DCMTK_OFSTD_EXPORT const unsigned short | EC_CODE_CannotOpenEncoding
| status code constant: error, cannot open character encoding
DCMTK_OFSTD_EXPORT const unsigned short | EC_CODE_CannotCloseEncoding
| status code constant: error, cannot close character encoding
DCMTK_OFSTD_EXPORT const unsigned short | EC_CODE_CannotConvertEncoding
| status code constant: error, cannot convert character encoding
DCMTK_OFSTD_EXPORT const unsigned short | EC_CODE_CannotControlConverter
| status code constant: error, cannot control character encoding converter
DCMTK_OFSTD_EXPORT const unsigned short | EC_CODE_CannotCreateDirectory
| status code constant: error, cannot create directory
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_IPCMessageQueueExists
| condition constant: error, IPC message queue already initialized
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_IPCMessageNoQueue
| condition constant: error, IPC message queue not initialized
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_IPCMessageQueueFailure
| condition constant: error, IPC message queue operation failed
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_IPCMessageQueueEmpty
| condition constant: error, IPC message queue empty
DCMTK_OFSTD_EXPORT const OFConditionConst | EC_IPCEmptyMessage
| condition constant: error, IPC message empty (zero length)

## Detailed Description

Error handling, codes and strings for all modules.

## Macro Definition Documentation

## ◆ makeOFConditionConst

#define makeOFConditionConst | ( |  | name,
|  |  | module,
|  |  | code,
|  |  | status,
|  |  | text
| ) |  | const OFConditionConst name = { (module), (code), (status), (text) }

use this macro for creating static OFCondition instances.

Instead of an OFCondition instance which needs a constructor, an instance of OFConditionConst is created. This avoids the problem of static initializers (and deinitializers) being executed in undefined order (some other static initializer might want to use this OFCondition / OFConditionConst instance).

## Enumeration Type Documentation

## ◆ OFStatus

enum OFStatus

this enumeration describes the return status of an operation.

Enumerator
OF_ok | no error, operation has completed successfully
OF_error | operation has not completed successfully
OF_failure | application failure

## Function Documentation

## ◆ operator!=() [1/2]

OFBool operator!= | ( | const OFCondition & | lhs,
|  | const OFConditionConst & | rhs
| ) |  |
| inline

returns true if lhs refers to a different OFCondition as rhs

Parameters

  lhs | left-hand side condition
  rhs | right-hand side condition

Returns
  true if OFCondition::operator!=() returns true

References OFCondition::condition().

## ◆ operator!=() [2/2]

OFBool operator!= | ( | const OFConditionConst & | lhs,
|  | const OFCondition & | rhs
| ) |  |
| inline

returns true if lhs refers to a different OFCondition as rhs

Parameters

  lhs | left-hand side condition
  rhs | right-hand side condition

Returns
  true if OFCondition::operator!=() returns true

References OFCondition::condition().

## ◆ operator==() [1/2]

OFBool operator== | ( | const OFCondition & | lhs,
|  | const OFConditionConst & | rhs
| ) |  |
| inline

returns true if lhs refers to the same OFCondition as rhs

Parameters

  lhs | left-hand side condition
  rhs | right-hand side condition

Returns
  true if OFCondition::operator==() returns true

References OFCondition::condition().

## ◆ operator==() [2/2]

OFBool operator== | ( | const OFConditionConst & | lhs,
|  | const OFCondition & | rhs
| ) |  |
| inline

returns true if lhs refers to the same OFCondition as rhs

Parameters

  lhs | left-hand side condition
  rhs | right-hand side condition

Returns
  true if OFCondition::operator==() returns true

References OFCondition::condition().

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1